#!/bin/bash
#this script is supposed to compare the expression of ERVs in Prostate Cancer from ERP000550, ALS from SRP064478, and Breast Cancer from ...
#this is going to use the same technique as I did for comparing normal tissues, and I will produce the final figure as I did for the example figure on the Wiki.
cd ../data
#This file contains all not grossly inactivated proteases
if [ ! -f putatively_active_pr.fasta ];then
    ln ../../ProteaseProject/evolutionary_placement_figures_with_ervh/putatively_active_pr.fasta
fi
#this searches the directory where I put the BAM files
bamfiles=`find /media/matthew/newback/bamdata -name '*bam'`
accessions=`find /media/matthew/newback/bamdata -name '*bam' | sed -e 's/\/media\/matthew\/newback\/bamdata\///g' -e 's/.bowtie2.bam//g'`
#clean up from last run
if [ -f $0.activePRExpression.R.csv ];then
    rm $0.activePRExpression.R.csv
    echo "chromosome,start,end,count,fpkm,tissue,donor,condition,class,active.site" >$0.activePRExpression.R.csv
fi
#get expression for each BAM file
for bam in $bamfiles;
do
    perl -w ../src/basic_ltrid_expression_sra.plx $bam
done
#gather the data besides expression we need
for bam in $accessions;
do
    perl -w ../src/repeatAnalysisOnlyActiveLoci.plx $bam >$bam.activePRexpression.csv
    perl -w ../src/assignClassificationToExpressionResults.plx $bam.activePRexpression.csv >$bam.activePRExpression.classified.csv
    perl -w ../src/repeatAnalysisOnlyActiveLociPrepareForR.plx $bam >>$0.activePRExpression.R.csv
done
#make the na values for active site say other instead for the figure
sed -e 's/,na/,other/' <$0.activePRExpression.R.csv >$0.tmp
mv $0.tmp $0.activePRExpression.R.csv 
exit 0
