#!/usr/bin/perl
#this script takes as input a list of assembly regions and a fasta file.
#it then outputs any overlaps, i.e. fasta locations which are in a region
use Getopt::Long;

GetOptions("regions=s" => \$regions,
           "fasta=s" => \$fastafn);

#load regions into memory
open REGIONS, "<$regions";
while(<REGIONS>){
    chomp;
    push @regions, $_;
}
close REGIONS;
#look for overlaps
open FASTA, "<$fastafn";
while(<FASTA>){
    next unless (substr $_, 0, 1) eq ">";
    chomp;
    $seqname = $_;
    $chr = substr $_, 1, 2;
    $chr =~ s/_//g;
    $start = substr $_, 3;
    if($start =~ /\D/){
        print "skipping $chr: $start\n";
        next;
    }
    foreach(@regions){
        next if (substr $_, 0, 1) eq "#";
        @currentregion = split /\s+/, $_;
        if($start < $currentregion[3] and $start > $currentregion[2] and $chr eq $currentregion[1]){
            print "$chr: $start\n$_\n";
            push @{$matchinghits{$currentregion[6]}}, $seqname;
        }
    }
}
close FASTA;
print "hashkey:\n";
foreach $key (keys %matchinghits){
    print "$key\n";
    print join("\n", @{$matchinghits{$key}}),"\n";
}
