#!/usr/bin/perl -w
use strict;
#get accession number to process
my $acc = shift;
#expression data produced by basic_ltrid_expression_sra.plx
my $bamdir = $acc."expression.d";
#all not grossly inactivated protases
open FASTA, "<putatively_active_pr.fasta";
my @active;
while(<FASTA>){
    next unless /^>/;
    chomp;
    my $chr = substr $_, 1, 2;
    $chr =~ s/\_//;
    my $start = substr $_, 3;
    push @active, [$chr, $start];
}
close FASTA;
open CSV, "$bamdir/$acc.expression" or die("couldn't open CSV\n");
while(<CSV>){
    my @csv = split(/,/,$_);
    my @csvLocus = split(/[-\.]/,$csv[0]);
    my $start = $csvLocus[1];
    my $chr = $csvLocus[0];
    $chr =~ s/chr//;
    my $end = $csvLocus[2];
    for my $locus (@active){
        my @locus = @{$locus};
        #if the chromosomes match and the start site is within a hundred bp, and the name is PR.
        #I need to do this because the start sites of BLAST and HMMER don't match up
        if($locus[0] eq $chr and &between($start,$locus[1],$end)){
            print $_;
        }
    }
}
close CSV;

sub between{
    #return true if the second argument is between the other two
    my $one = shift;
    my $two = shift;
    my $three = shift;
    if($one < $two and $two < $three){
        return 1;
    }else{
        return 0;
    }
}

sub near{
    #return TRUE if the distance between the two values is less than threshold
    my $firstArg = shift;
    my $secondArg = shift;
    my $threshold = shift;
    if(abs($firstArg - $secondArg) < $threshold){
        return 1;
    }else{
        return 0;
    }
}
